/*
Theme Name: Lightning Child Sample
Template: lightning
*/

/* フォント設定 */
body {
    font-family: "Sawarabi Mincho", "YuMincho", "Yu Mincho", serif;
}

/* フッターの背景色と文字色の設定 */
.site-footer {
    background: linear-gradient(to bottom, #444444, #222222);
    color: #ffffff;
    padding: 20px 0;
    border-top: 16px solid #555555;
}
.site-footer a {
    color: #ffffff;
}

/* 固定ページのコンテンツエリア */
.page .main-section {
    background-color: #ffffff !important;
    padding: 2rem;
    border-radius: 1.5rem;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08); 
    border: 1px solid #eeeeee;
}

/* 投稿ページ（前後ナビ非表示） */
.next-prev {
    display: none !important;
}

.single article.entry,
.vk_posts {
    background-color: #ffffff !important;
    padding: 30px !important;
    border-radius: 4px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08) !important;
    margin-bottom: 30px;
    border: 1px solid #eeeeee;
}

/* 投稿一覧の画像非表示 */
.vk_post_imgOuter {
    display: none;
}

/* 全ページのタイトルエリア（ページヘッダー）を黒グラデーションにする */
.page-header {
	background-color: #000000 !important;
	background: #000000 linear-gradient(135deg, #333333 0%, #000000 100%) !important;
    border-bottom: 16px solid #8b0000 !important;
}

/* タイトルの文字色 */
.page-header .page-header-title {
    color: #ffffff !important;
    letter-spacing: 0.1em;
    font-weight: 700;
}
